### Method

# Gtk TreeModelFilterconvert_child_iter_to_iter

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_model_filter_convert_child_iter_to_iter (
      GtkTreeModelFilter* filter,
      GtkTreeIter* filter_iter,
      GtkTreeIter* child_iter
    )

#### Description [src]

Sets `filter_iter` to point to the row in `filter` that corresponds to the row pointed at by `child_iter`. If `filter_iter` was not set, `FALSE` is returned.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`filter_iter`

  Type: `GtkTreeIter`

  An uninitialized `GtkTreeIter`

  The argument will be set by the function.
  The data is owned by the instance.

`child_iter`

  Type: `GtkTreeIter`

  A valid `GtkTreeIter` pointing to a row on the child model.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE`, if `filter_iter` was set, i.e. if `child_iter` is a valid iterator pointing to a visible row in child model.